4 Replies Latest reply on Dec 26, 2017 9:27 AM by Moon Wang

    Has anyone known selected faces of a component by macro

    Moon Wang

      Hi Everybody,

       

      my question concerns faces selection of a solidworks part.I selected faces(except the ones parallel to the horizontal plane) by clicking and recording the macro before,I feel this method is inefficient,I have to record macro everytime .some macros are as bellows.Could somebody please give me a suggestion , is there any better solution for my problem?

       

      example: boolstatus = swDoc.Extension.SelectByID2("", "FACE", -0.013950437184717668, 0.0048886008117676738, 0.0062220522273719325, true, 0, null, 0);

                          boolstatus = swDoc.Extension.SelectByID2("", "FACE", 0.015000332186357213, 0.0049999999889678293, 0.0034442920428432444, true, 0, null, 0);

                         

       

      Best regards2017-12-04_094256.png